Bug 506848 - Review Request: bognor-regis - Media daemon and play queue manager
Review Request: bognor-regis - Media daemon and play queue manager
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nikolay Vladimirov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraMoblin20 506855 513452
  Show dependency treegraph
 
Reported: 2009-06-18 17:22 EDT by Peter Robinson
Modified: 2009-07-23 13:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-24 16:35:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
nikolay: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2009-06-18 17:22:58 EDT
SPEC: http://pbrobinson.fedorapeople.org/bognor-regis.spec
SRPM: http://pbrobinson.fedorapeople.org/bognor-regis-0.4.5-1.fc11.src.rpm

Media daemon and play queue manager
Comment 1 Nikolay Vladimirov 2009-06-20 13:22:20 EDT
MUST:

    * rpmlint output: 0 errors, 0 warnings ( both srpm and binary rpm)
    * package name: OK
    * The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption: OK
    * Packaging Guidelines: 
        The Source0 is an exemption but it's OK. The upstream package naming is
        bad. Please contact them if they can change it.

    * License: OK

    * The License field file matches the actual license: FAIL
        The package license is GPLv2 and the spec states LGPLv2

    * License included in %doc: OK
    * The spec file must be written in American English: OK
    * The spec file for the package MUST be legible: OK
    * The sources used to build the package must match the upstream source: FAIL

        Please look into this:
                961c0054fe2cd80be5721534981b144a  BOGNOR_0_4_5.tar.bz2
                98da8af1a9decb73904233d022169e9c  bognor-regis-0.4.5.tar.bz2

    * The package MUST successfully compile and build into binary rpms on at least one primary architecture: OK ( on i586)
    * All build dependencies must be listed in BuildRequires: OK
    * The spec file MUST handle locales properly: N/A ( no locales)
    * Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun: OK
    * A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory: OK
    * A Fedora package must not list a file more than once in the spec file's %files listings: OK
    * Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line: OK
    * Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT): OK
    * Each package must consistently use macros: OK
    * The package must contain code, or permissable content: OK
    * Header files must be in a -devel package: OK
    * Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability): OK
    * If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package: OK
    * In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} : OK
    * Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built: OK
    * At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT): OK
    * All filenames in rpm packages must be valid UTF-8 : OK



SHOULD Items:
    * The reviewer should test that the package builds in mock: OK (for i586 rawhide)
~                                                                               

It's OK. But there are some critical things that need fixing. After you update the package I'll give the approve.
Comment 2 Peter Robinson 2009-06-21 10:34:57 EDT
>     * The License field file matches the actual license: FAIL
>         The package license is GPLv2 and the spec states LGPLv2

I'd already fixed this locally but forgot to upload it.
 
>     * The sources used to build the package must match the upstream source:
> FAIL
> 
>         Please look into this:
>                 961c0054fe2cd80be5721534981b144a  BOGNOR_0_4_5.tar.bz2
>                 98da8af1a9decb73904233d022169e9c  bognor-regis-0.4.5.tar.bz2

That I suspect is due to the rename of the directory of the source within the tarball which was named the same as the tarball. I am going to file an upstream bug to get this fixed properly.
 
SRPM: http://pbrobinson.fedorapeople.org/bognor-regis-0.4.5-2.fc11.src.rpm
Comment 3 Nikolay Vladimirov 2009-06-23 03:33:30 EDT
Ok, I hope that the naming issue will only be temporary and using the current upstream archive will create a load of ugly code in the .spec. 

APPROVED.
Comment 4 Peter Robinson 2009-06-23 04:08:41 EDT
(In reply to comment #3)
> Ok, I hope that the naming issue will only be temporary and using the current
> upstream archive will create a load of ugly code in the .spec. 

I hope so too.... the way it is at the moment is painful! Thanks.
Comment 5 Peter Robinson 2009-06-23 04:14:07 EDT
New Package CVS Request
=======================
Package Name: bognor-regis
Short Description: Media daemon and play queue manager
Owners: pbrobinson
Branches: F-11 F-10
InitialCC:
Comment 6 Jason Tibbitts 2009-06-23 13:46:25 EDT
CVS done.
Comment 7 Peter Robinson 2009-06-23 15:06:04 EDT
Built in rawhide
Comment 8 Peter Robinson 2009-06-24 16:35:14 EDT
Done. Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.